/*
 * Created on 20-apr-2004
 */
package convFramework.traffic.event;

/**
 * Cclasse che modella un evento indicante un errore di ricezione
 * @author Lompa
 */
public class ReceptionErrorEvent extends ConvFrameworkEvent {
	
	/* campi */
	private String errorMessage = null;
	
	/**
	 * Crea una istanza di ReceptionErrorEvent
	 * @param source la sorgente dell'evento
	 * @param errorMessage il messaggio di errore
	 */
	public ReceptionErrorEvent(Object source, String errorMessage){
		super(source);
		this.errorMessage = errorMessage;
	}
	
	/**
	 * Restituisce il messaggio di errore
	 * @return il messaggio
	 */
	public String getMessage(){
		return this.errorMessage;
	}
}
